# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/leds/iei,wt61p803-puzzle-leds.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: IEI WT61P803 PUZZLE MCU LED module from IEI Integration Corp.

maintainers:
  - Luka Kovacic <luka.kovacic@sartura.hr>

description: |
  This module is a part of the IEI WT61P803 PUZZLE MFD device. For more details
  see Documentation/devicetree/bindings/mfd/iei,wt61p803-puzzle.yaml.

  The LED module is a sub-node of the MCU node in the Device Tree.

properties:
  compatible:
    const: iei,wt61p803-puzzle-leds

  '#address-cells':
    const: 1

  '#size-cells':
    const: 0

  led@0:
    $ref: common.yaml
    unevaluatedProperties: false

    properties:
      reg:
        const: 0

required:
  - compatible
  - '#address-cells'
  - '#size-cells'

additionalProperties: false
